# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/phy/samsung,dp-video-phy.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Samsung Exynos SoC DisplayPort PHY

maintainers:
  - Krzysztof Kozlowski <krzysztof.kozlowski@canonical.com>
  - Marek Szyprowski <m.szyprowski@samsung.com>
  - Sylwester Nawrocki <s.nawrocki@samsung.com>

properties:
  compatible:
    enum:
      - samsung,exynos5250-dp-video-phy
      - samsung,exynos5420-dp-video-phy

  "#phy-cells":
    const: 0

  samsung,pmu-syscon:
    $ref: /schemas/types.yaml#/definitions/phandle
    description:
      Phandle to PMU system controller interface.

required:
  - compatible
  - "#phy-cells"
  - samsung,pmu-syscon

additionalProperties: false

examples:
  - |
    phy {
        compatible = "samsung,exynos5420-dp-video-phy";
        samsung,pmu-syscon = <&pmu_system_controller>;
        #phy-cells = <0>;
    };
